/*
 * GLX Hardware Device Driver for Intel 810
 * Copyright (C) 1999 Keith Whitwell
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * Keith Whitwell, OR ANY OTHER CONTRIBUTORS BE LIABLE FOR ANY CLAIM, 
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR 
 * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE 
 * OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 *
 */

/* $Id: i810lib.c,v 1.1 1999/12/13 12:47:45 keithw Exp $ */

#include <unistd.h> /* for usleep() */
#include <stdlib.h>
#include <errno.h>
#include <unistd.h>
#include <sys/mman.h>
#include <stdio.h>
#include <sys/time.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <signal.h>

#include "mesaglx/types.h" /* DEPTH_BITS */

#include "mm.h"
#include "i810lib.h"
#include "i810log.h"

struct i810_dest_buffer *i810DB = NULL;
i810ContextPtr i810Ctx = NULL;

int i810_usec( void ) 
{
   struct timeval tv;
   struct timezone tz;
	
   gettimeofday( &tv, &tz );
	
   return (tv.tv_sec & 2047) * 1000000 + tv.tv_usec;
}


void i810SoftReset()
{
}

/*
 * - Palette format is TW16 (RGB565)
 * - pal MUST be padded as follow: sizeof(pal) = (len+1)/2 dword
 * - After the call you must reprogramm MACCESS and PITCH. It depends on
 *   which context you are in. (ie 2D or 3D)
 */
void i810LoadTexturePalette(GLushort *pal, int start, int len)
{
}

      
